Bug 606205 - (halberd) Review Request: halberd - Tool to discover HTTP load balancers
Review Request: halberd - Tool to discover HTTP load balancers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael Aquini
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2010-06-21 01:54 EDT by Fabian Affolter
Modified: 2014-09-23 08:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 06:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
aquini: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2010-06-21 01:54:05 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/halberd.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/halberd-0.2.3-2.fc14.src.rpm

Project URL: http://halberd.superadditive.com

Description:
Halberd discovers HTTP load balancers. It is useful for web application
security auditing and for load balancer configuration testing.

This is a review request for an orphaned package.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2260381

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint halberd-0.2.3-2.fc13.src.rpm 
halberd.src: W: spelling-error Summary(en_US) balancers -> balances, balance's, balance rs
halberd.src: W: spelling-error %description -l en_US balancers -> balances, balance's, balance rs
halberd.src: W: spelling-error %description -l en_US balancer -> balance, balances, balanced
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[fab@laptop011 noarch]$ rpmlint halberd-0.2.3-2.fc13.noarch.rpm
halberd.noarch: W: spelling-error Summary(en_US) balancers -> balances, balance's, balance rs
halberd.noarch: W: spelling-error %description -l en_US balancers -> balances, balance's, balance rs
halberd.noarch: W: spelling-error %description -l en_US balancer -> balance, balances, balanced
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 1 Rafael Aquini 2010-08-07 12:06:51 EDT
Fabian,

I can review this package, if you still interested in take it off from the orphanage.

Regards
Comment 2 Rafael Aquini 2010-08-07 13:51:33 EDT
Good:
* The package is named halberd which follows upstream project name
* Spec file naming follows package naming
* License in spec and sources is GPLv2+ which is open source
* Spec is legible and American English
* http://halberd.superadditive.com/dist/halberd-0.2.3.tar.gz
* Source matches upstream
* No locale files
* No shared libraries
* No bundled libraries
* Not relocatable
* No directories created unowned
* No duplicate files
* Default permissions are set
* Package is code
* No large documentation
* No %doc files are used at runtime
* No header files
* Not a GUI application
* Does not own files or directories from other packages
* All filenames are utf8
* rpmlint is clean:
[aquini@optiplex ~]$ rpmlint rpmbuild/SPECS/halberd.spec rpmbuild/SRPMS/halberd-0.2.3-2.fc13.src.rpm rpmbuild/RPMS/noarch/halberd-0.2.3-2.fc13.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

* Builds in mock 
* Builsd in koji http://koji.fedoraproject.org/koji/taskinfo?taskID=2387255 

Needswork:
* Ask upstream a patch to fix the following deprecation warning, when halberd is executed:
[aquini@optiplex ~]$ halberd http://aquini.fedorapeople.org/
/usr/lib/python2.6/site-packages/Halberd/clues/Clue.py:33: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  from sha import new as hashfn
halberd 0.2.3 (18-Jul-2007)

INFO looking up host aquini.fedorapeople.org... 


Regards
Comment 3 Fabian Affolter 2010-08-14 05:42:44 EDT
* Sat Aug 14 2010 Fabian Affolter <fabian@bernewireless.net> - 0.2.3-3
- Added patch to replace deprecated sha module

Here are the updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/halberd.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/halberd-0.2.3-3.fc13.src.rpm
Comment 4 Rafael Aquini 2010-08-14 18:29:20 EDT
Fabian,

Your work in halberd is pretty fine, and I'm approving this package. However, I'd like ask you to consider the following suggestions before you commit halberd in git:

i. There is another deprecation warning, when you shoot halberd against an https URL. Sorry for this late report... I've just noticed it today. Please, ask upstream for another patch to fix that also:
   /usr/lib/python2.6/site-packages/Halberd/clientlib.py:330: DeprecationWarning: socket.ssl() is deprecated.  Use ssl.wrap_socket() instead.


ii. Consider include a comment to the patches in SPEC file, to inform the upstream's bugtracking number for them.


APPROVED
Comment 5 Fabian Affolter 2010-08-15 05:20:59 EDT
Thanks for the review.

(In reply to comment #4)
> i. There is another deprecation warning, when you shoot halberd against an
> https URL. Sorry for this late report... I've just noticed it today. Please,
> ask upstream for another patch to fix that also:
>    /usr/lib/python2.6/site-packages/Halberd/clientlib.py:330:
> DeprecationWarning: socket.ssl() is deprecated.  Use ssl.wrap_socket() instead.

Upstream applied my patch and released 0.2.4 some hours ago.  I think that it would not be a problem to fix this issue upstream.

> ii. Consider include a comment to the patches in SPEC file, to inform the
> upstream's bugtracking number for them.

There is no upstream tracker.
Comment 6 Fabian Affolter 2010-08-15 05:53:29 EDT
Update CVS Request
=======================

Owners: fab
Branches: F-12 F-13 F-13
Comment 7 Fabian Affolter 2010-08-15 05:54:06 EDT
Branches: F-12 F-13 F-14
Comment 8 Kevin Fenzi 2010-08-15 20:15:10 EDT
There already was a f12 branch. Added f13/f14. 

Note that you will probibly need to file a ticket with rel-eng to unblock it.
Comment 9 Fabian Affolter 2014-09-23 05:23:59 EDT
Package Change Request
======================
Package Name: halberd
New Branches: el6 epel7
Owners: fab 
InitialCC:
Comment 10 Gwyn Ciesla 2014-09-23 08:11:51 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.